import Axios from 'axios'
import configBase from '../config/index'
import Toast from "vant/lib/toast"
import "vant/lib/toast/style"
import { Promise } from 'core-js';
const service = Axios.create({
    baseURL: configBase.apiUrl,
    headers: {
        'Accept': '*/*'
    },
    timeout: configBase.timeout
});
let loading = undefined;

service.interceptors.request.use(
    config => {
        loading = !config.closeLoading
        if (loading) {
            Toast.loading({
                duration: 0, // 持续展示 toast
                forbidClick: true,
            });
        }
        config.headers['requestId'] = new Date().getTime();
        config.headers['Authorization'] = '';

        return config
    },
    error => {
        Promise.reject(error)
    }
);



service.interceptors.response.use(
    response => {//Grade
        const res = response
        Toast.clear();
        if (res.status !== 200) {
            Toast.fail('请稍后重试');
            //return Promise.reject('error')
        } else {
            return res.data
        }
    },
    error => {
        console.log('error', error);
        Toast.clear();
        Toast.fail('服务器可能出了点问题',error);
        return Promise.reject(error)//千万不能去掉，，，否则请求超时会进入到then方法，导致逻辑错误。
    }
);

export default service
